Special Order
RFC1003-305X Image 8.jpg
MPN: RFC1003-305X

Leed Brakes RFC1003-305X Manual Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers

$1,684.63
HBCJ_RFC1003-305X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this A, F, X...
Special Order
MPN: RFC1002SMX

Leed Brakes RFC1002SMX Spindle Kit with Drilled Rotors and Red Powder Coated Calipers

$1,310.56
HBCJ_RFC1002SMX
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1002-N6B4X

Leed Brakes RFC1002-N6B4X Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,075.41
HBCJ_RFC1002-N6B4X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
RFC1002-F6B4X Image 3.jpg
MPN: RFC1002-F6B4X

Leed Brakes RFC1002-F6B4X Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,016.78
HBCJ_RFC1002-F6B4X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC0025SMX

Leed Brakes RFC0025SMX Spindle Kit with Drilled Rotors and Red Powder Coated Calipers

$2,241.17
HBCJ_RFC0025SMX
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc conversion. In this kit you receive everything...
Special Order
MPN: RFC0003-X405MX

Leed Brakes RFC0003-X405MX Power Front Kit with Drilled Rotors and Zinc Plated Calipers

$2,683.99
HBCJ_RFC0003-X405MX
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to power disc brake conversion. In this kit you...
Special Order
RFC0002-3405AX Image 1.jpg RFC0002-3405AX Image 3.jpg
MPN: RFC0002-3405AX

Leed Brakes RFC0002-3405AX Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,676.59
HBCJ_RFC0002-3405AX
Brake Brake Conversion Kit Brakes Ford Mustang Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to power disc brake conversion. In this kit you...
Special Order
MPN: RC1008

Leed Brakes RC1008 Rear Disc Brake Kit with Plain Rotors and Zinc Plated Calipers

$1,143.74
HBCJ_RC1008
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your G-body with our GM 10 Bolt Rear End Disc Brake Conversion Kit....
Special Order
MPN: PBKT1094

Leed Brakes PBKT1094 Power booster kit 9 inch booster 1 inch bore master combo valve(Chrome)

$734.51
HBCJ_PBKT1094
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. dual chrome power booster, 1 in. bore master cylinder with chrome cap and...
Special Order
MPN: PBKT1075

Leed Brakes PBKT1075 Power booster kit 9 inch booster (Chrome)

$549.05
HBCJ_PBKT1075
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. chrome power booster. This kit can be used to convert a manual brake...
Special Order
MPN: RFC1011-K1A3X

Leed Brakes RFC1011-K1A3X Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,923.95
HBCJ_RFC1011-K1A3X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
RFC1003-N6B4X Image 1.jpg
MPN: RFC1003-N6B4X

Leed Brakes RFC1003-N6B4X Power Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers

$2,089.41
HBCJ_RFC1003-N6B4X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1003-M105X

Leed Brakes RFC1003-M105X Power Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers

$1,945.88
HBCJ_RFC1003-M105X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1002-3A1X

Leed Brakes RFC1002-3A1X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,683.70
HBCJ_RFC1002-3A1X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC0001-4C7X

Leed Brakes RFC0001-4C7X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,231.40
HBCJ_RFC0001-4C7X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to manual disc brake conversion. In this kit you...
Special Order
RC1001X Image 1.jpg RC1001X Image 9.jpg
MPN: RC1001X

Leed Brakes RC1001X Rear Disc Brake Kit with Drilled Rotors and Zinc Plated Calipers

$1,344.03
HBCJ_RC1001X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your vehicle with our drum to 10 bolt disc brake conversion. In this...
Special Order
MPN: RC0001

Leed Brakes RC0001 Rear Disc Brake Kit with Plain Rotors and Zinc Plated Calipers

$1,120.01
HBCJ_RC0001
Brake Brake Conversion Kit Brakes Ford Mustang Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your vehicle with our drum to disc brake conversion. In this kit you...
Special Order
MPN: PR235

Leed Brakes PR235 Push rod extension kit for GM and Ford trucks

$96.82
HBCJ_PR235
Body Brake Pedal Push Rod Brakes Hardware, Fasteners and Fittings Leed Brakes
Leed Brakes push rods and pedal hardware are designed to allow you a safe hassle-free way to connect a new master cylinder or power...
Special Order
PBKT1095 Image 1.jpg
MPN: PBKT1095

Leed Brakes PBKT1095 Power booster kit 9 inch booster 1 inch bore master adj valve(Chrome)

$690.27
HBCJ_PBKT1095
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. chrome power booster, 1 in. bore master cylinder with chrome cap and adjustable...
Special Order
MPN: PBKT1083

Leed Brakes PBKT1083 Power booster kit 9 inch booster 1 inch flat top disc/disc (Chrome)

$801.23
HBCJ_PBKT1083
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. chrome power booster, 1 in. bore chrome flat top master cylinder and chrome...
Special Order
MPN: PBKT1079

Leed Brakes PBKT1079 Power booster kit 9 inch booster 1-1/8 inch flat top combo valve (Chrome)

$785.87
HBCJ_PBKT1079
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. chrome power booster, 1-1/8 in. bore chrome flat top master cylinder and adjustable...
Special Order
PBKT1070 Image 2.jpg
MPN: PBKT1070

Leed Brakes PBKT1070 Power booster kit 9 inch booster 1 inch bore master (Zinc)

$528.87
HBCJ_PBKT1070
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. power booster and 1 in. bore master cylinder. This kit can be used...
Special Order
MPN: RFC2003-C05X

Leed Brakes RFC2003-C05X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,388.78
HBCJ_RFC2003-C05X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to manual disc brake conversion. In this kit you...
Special Order
RFC2002-8405X Image 1.jpg RFC2002-8405X Image 7.jpg
MPN: RFC2002-8405X

Leed Brakes RFC2002-8405X Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,675.10
HBCJ_RFC2002-8405X
Brake Brake Conversion Kit Brakes Dodge Challenger Dodge Charger Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to disc brake conversion. In this kit you...
Special Order
RFC1011-305X Image 5.jpg
MPN: RFC1011-305X

Leed Brakes RFC1011-305X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,675.19
HBCJ_RFC1011-305X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1007-305X

Leed Brakes RFC1007-305X Manual Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers

$1,575.36
HBCJ_RFC1007-305X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1006SMX

Leed Brakes RFC1006SMX Spindle Kit with Drilled Rotors and Red Powder Coated Calipers

$1,290.17
HBCJ_RFC1006SMX
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1006-FA1X

Leed Brakes RFC1006-FA1X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,762.87
HBCJ_RFC1006-FA1X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
RFC1003SMX Image 6.jpg
MPN: RFC1003SMX

Leed Brakes RFC1003SMX Spindle Kit with 2" Drop Spindles Drilled Rotors and Powder Coated Calipers

$1,421.54
HBCJ_RFC1003SMX
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
RFC1003-M1A1X Image 6.jpg
MPN: RFC1003-M1A1X

Leed Brakes RFC1003-M1A1X Power Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers

$1,989.55
HBCJ_RFC1003-M1A1X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1002-N605X

Leed Brakes RFC1002-N605X Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,005.84
HBCJ_RFC1002-N605X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC0001-H405MX

Leed Brakes RFC0001-H405MX Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,533.61
HBCJ_RFC0001-H405MX
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to power disc brake conversion. In this kit you...
Special Order
MPN: RC4001X

Leed Brakes RC4001X Rear Disc Brake Kit with Drilled Rotors and Zinc Plated Calipers

$1,452.13
HBCJ_RC4001X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your vehicle with our drum to disc brake conversion. In this kit you...
Special Order
MPN: RC1002

Leed Brakes RC1002 Rear Disc Brake Kit with Plain Rotors and Zinc Plated Calipers

$1,235.68
HBCJ_RC1002
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your vehicle with our drum to disc brake conversion. In this kit you...
Special Order
RC0003 Image 3.jpg
MPN: RC0003

Leed Brakes RC0003 Rear Disc Brake Kit with Plain Rotors and Zinc Plated Calipers

$1,121.83
HBCJ_RC0003
Brake Brake Conversion Kit Brakes Ford Mustang Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your vehicle with our Ford 9 inch disc brake conversion. In this rear...
Special Order
MPN: PBKT2003-1

Leed Brakes PBKT2003-1 Power Hydraulic Kit with brake lines and adjustable valve

$770.79
HBCJ_PBKT2003-1
Brake Brakes Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your factory power brake car to a new 8" dual diaphragm power booster and 1 in. bore disc brake master cylinder with our...
Items 181 to 216 of 1093 total

Your cart

×
🚫

Not Available in Your Region

Sorry, Performance Parts Canada is only available to customers in Canada and the United States.

If you believe this is an error, please contact us at info@performancepartscanada.ca.